#' Time series representing the electrical power consumption during a railway switch
#' operation
#'
#' This dataset is provided for illustration only; It is issued from the switch
#' railway monitoring domain. The switch mechanism enables trains to be guided
#' from one track to another at a railway junction. During each switch
#' operation, a set of measurements are recorded. Each measurement represents
#' the consumed electrical power. The resulting time series present regime changes.
#'
#' @format A data frame with 562 rows and 3 columns:
#' \describe{
#'   \item{x}{The covariate variables which are the sampling time in this time-series case.}
#'   \item{y1}{Measurements of the electrical power consumed during time for a first example of switch operations.}
#'   \item{y2}{Measurements of the electrical power consumed during during time for another example of switch operations.}
#' }
"univrealdataset"
